set local
@echo off


rem Registers Files required by DB-UPGRADE
rem ======================================


rem Determine the current directory:

cls
for /F "tokens=*" %%A in ('cd') do set cwd=%%A


rem Register the basic DLLs contained in this current directory:

echo "%cwd%\Db_Upgrade.dll" is being registered...
regsvr32 "%cwd%\Db_Upgrade.dll"

echo "%cwd%\Aspexec.dll" is being registered...
regsvr32 "%cwd%\Aspexec.dll"

echo "%cwd%\InfoLite.dll" is being registered...
regsvr32 "%cwd%\InfoLite.dll"

rem These files are registered by Microsofts VBRun60sp4.exe
rem http://support.microsoft.com/default.asp?scid=KB;EN-US;q235420&

rem regsvr32 %cwd%\MSVBVM60.dll
rem regsvr32 %cwd%\OLEPRO32.dll
rem ........ %cwd%\STDOLE2.tlb


rem Installs the above VB6.0 Runtime Files

echo "%cwd%\VBRun60sp4.exe" is started...
"%cwd%\VBRun60sp4.exe"

echo .
echo The files have been installed.
pause

rem Marcel A. Hug Informatik GmbH, 14.12.2002


end local
@echo on
